aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAKASHI Takahiro <takahiro.akashi@linaro.org>2015-10-29 10:27:29 +0900
committerAKASHI Takahiro <takahiro.akashi@linaro.org>2015-10-30 16:18:05 +0900
commite4cc87da728848c60c3f4a0d9572be91a4a2d56c (patch)
tree2217eba964f2bbac79995a0d0daac943a14084df
parentc8bcd99fb66dca3c25f1ee414b9d140851aef88d (diff)
downloadkbuildtest-e4cc87da728848c60c3f4a0d9572be91a4a2d56c.tar.gz
change a behavior of -p option
Previously, .config is re-created at every execution even with -p option. This is a bit inconvenient to customize it on your own. So with this patch applied, you are required to remove "kernel_config_build" if you modify "kernel_config" and want to re-create a configuration file. Otherwise, "kernel_config_build" is copied to .config and reused.
-rw-r--r--README2
-rwxr-xr-xkbuildtest.sh19
2 files changed, 14 insertions, 7 deletions
diff --git a/README b/README
index d73e22c..01488db 100644
--- a/README
+++ b/README
@@ -75,6 +75,8 @@ manually to the list.
You may also modify a "kernel_config" file and, even more, add more test
patterns under a <commit> directory.
+(You are required to remove "kernel_config_build" if you modify a
+"kernel_config.")
* Known issues
diff --git a/kbuildtest.sh b/kbuildtest.sh
index 9f851a1..a45d8c1 100755
--- a/kbuildtest.sh
+++ b/kbuildtest.sh
@@ -303,15 +303,20 @@ function create_configs {
}
function run_build_test {
- make O=${BUILDDIR} defconfig > ${LOGDIR}/$p/$c/config.log 2>&1
- cat ${LOGDIR}/$p/$c/kernel_config >> ${BUILDDIR}/.config
- make O=${BUILDDIR} olddefconfig > ${LOGDIR}/$p/$c/config.log 2>&1
- if [ $? -ne 0 ]
+ if [ -n "${sflag}" ] && [ -f "${LOGDIR}/$p/$c/kernel\config_build" ]
then
- echo $p/$c FAIL config >> ${LOGDIR}/results
- return
+ cp ${LOGDIR}/$p/$c/kernel_config_build ${BUILDDIR}/.config
+ else
+ make O=${BUILDDIR} defconfig > ${LOGDIR}/$p/$c/config.log 2>&1
+ cat ${LOGDIR}/$p/$c/kernel_config >> ${BUILDDIR}/.config
+ make O=${BUILDDIR} olddefconfig > ${LOGDIR}/$p/$c/config.log 2>&1
+ if [ $? -ne 0 ]
+ then
+ echo $p/$c FAIL config >> ${LOGDIR}/results
+ return
+ fi
+ cp ${BUILDDIR}/.config ${LOGDIR}/$p/$c/kernel_config_build
fi
- cp ${BUILDDIR}/.config ${LOGDIR}/$p/$c/kernel_config_build
if [ -n "${nflag}" ]
then